/*
 * Hedgewars, a free turn based strategy game
 * Copyright (c) 2005-2011 Andrey Korotaev <unC0Rr@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef HWAPP_H
#define HWAPP_H

#include <QApplication>
#include <QString>
#include <QEvent>

class HWForm;

/**
 * @brief Main class of the Qt application.
 *
 * By default uses :res/css/qt.css as style sheet for the main form.
 * See \repo{res/css/qt.css} for a more detailed description.
 *
 * @see http://doc.qt.nokia.com/4.5/stylesheet.html
 */
class HWApplication : public QApplication
{
    Q_OBJECT
public:
    HWApplication(int &argc, char **argv);
    ~HWApplication() {};

    HWForm *form;
protected:
    bool event(QEvent *);
};

#endif

